dist/catalog.html
<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="imagetoolbar" content="no">
    <meta name="msthemecompatible" content="no">
    <meta name="cleartype" content="on">
    <meta name="HandheldFriendly" content="True">
    <meta name="format-detection" content="telephone=no">
    <meta name="format-detection" content="address=no">
    <title>Catalog</title><link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="./styles/styles.css?1573063240693" rel="stylesheet">
  </head>
  <body>
    <header>
      <div class="container xl-none">
        <div class="row">
          <div class="col-12 col-md-6">
            <div class="top-comp d-flex"><a href="#"> <img src="img/logo_footer.png"></a>
              <div><span>Мой Бонус</span><br>Бонусная программа Мой ЗиП</div>
            </div>
          </div>
          <div class="col-md-6 d-none d-md-flex psevdo justify-content-start align-items-center">
            <div class="colored-header">      </div>
            <div class="log-in-comp-md">
              <button class="btn btn-custom" type="button" data-toggle="modal" data-target="#exampleModal">Вход</button><a class="btn" href="#">Регистрация</a>
            </div>
          </div>
        </div>
      </div>
      <div class="bg-colored">
        <div class="container">
          <div class="row">
            <div class="col-12 col-xl-8">
              <div class="top-comp xl-display"><a href="/home.html"> <img src="img/logo_footer.png"></a>
                <div><span>Мой Бонус</span><br>Бонусная программа Мой ЗиП    </div>
              </div>
              <nav class="navbar navbar-expand-md navbar-dark">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
                <div class="log-in-comp d-md-none">
                  <button class="btn btn-custom" type="button" data-toggle="modal" data-target="#exampleModal">Вход</button><a class="btn" href="#">Регистрация</a>
                </div>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                  <ul class="navbar-nav">
                    <li class="nav-item"><a class="nav-link" href="/catalog.html">Каталог призов</a></li>
                    <li class="nav-item"><a class="nav-link" href="/registration.html">Регистрация карты</a></li>
                    <li class="nav-item"><a class="nav-link" href="/order.html">Доставка</a></li>
                    <li class="nav-item"><a class="nav-link" href="/rules.html">Правила бонусной программы</a></li>
                    <li class="nav-item"><a class="nav-link" href="callback.html">Обратная связь          </a></li>
                  </ul>
                </div>
              </nav>
            </div>
            <div class="col-xl-4 d-none d-xl-flex psevdo align-items-end">
              <div class="colored-header"></div>
              <div class="log-in-comp-xl">
                <button class="btn btn-custom" type="button" data-toggle="modal" data-target="#exampleModal">Вход</button><a class="btn" href="#">Регистрация</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </header>
    <!-- Modal-->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="custom-container">
            <div class="header">
              <h2 class="modal-title" id="exampleModalLabel">Вход в личный кабинет</h2>
              <button class="close" type="button" data-dismiss="modal" aria-label="Close">&times;</button>
              <!--span(aria-hidden='true')-->
            </div>
            <div class="body">
              <form>
                <div class="form-group mb-4">
                  <input class="form-control" name="" placeholder="Номер карты:" type="email">
                </div>
                <div class="form-group">
                  <input class="form-control mb-2" placeholder="Пароль:" type="password">
                  <div class="forgot-pw"><a href="#">Забыли пароль ?</a></div>
                </div>
              </form>
            </div>
            <div class="footer">
              <button class="btn" type="button">Войти</button>
              <div class="reg"><a href="#">Еще не зарегистрированы?</a></div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <main class="catalog">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <h2 class="custom">Каталог призов</h2>
          </div>
          <div class="col-12"> 
            <div class="flex-container bcg-white">
              <div class="filter-group">
                <div class="price">Цена:</div>
                <div class="group-1">
                  <div class="psevdo holder-1">
                    <input class="input-control" type="number" placeholder="" aria-label="Username" aria-describedby="basic-addon1" value="5000">
                  </div>
                  <div class="psevdo holder-2">
                    <input class="input-control" type="number" placeholder="" aria-label="Username" aria-describedby="basic-addon1" value="15000">
                  </div>
                </div>
                <div class="btn-group-custom">
                  <button class="btn btn-filter-transp" type="button">Сброс</button>
                  <button class="btn btn-filter-red" type="button">Показать</button>
                </div>
              </div>
              <div class="sort">
                <div class="dropdown"><span class="dropdown-text" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Цена по возрастанию</span>
                  <div class="dropdown-menu" aria-labelledby="dropdownMenuButton"><a class="dropdown-item" href="#">По цене</a></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="container mt-5 mb-5 psevdo">
        <div class="row row-offcanvas row-offcanvas-right">
          <div class="btn-absolute">
            <button class="btn btn-custom-expand d-none-custom" type="button" data-toggle="offcanvas"></button>
          </div>
          <div class="col-12 col-xl-4 col-lg-6 col-xxl-3 sidebar-offcanvas" id="sidebar">
            <div class="list-group">
              <div class="dropdown list-group-item">Смартфоны <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi</li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Планшеты <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi         </li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Смарт-часы <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi</li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Автотехника <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi</li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Акустика <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple
                    <li>Samsung</li>
                    <li>Huawei</li>
                    <li>LG</li>
                    <li>Sony</li>
                    <li>Xiaomi</li>
                  </li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Фотоаппараты <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi </li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Кофемашины и кофеварки <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi </li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Квадрокоптеры <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi  </li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Наушники <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi  </li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Роботы-пылесосы <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi </li>
                </ul>
              </div>
              <div class="dropdown list-group-item">Аксессуары <span class="dropdown-arrow"></span>
                <ul>
                  <li class="bolden">Apple</li>
                  <li>Samsung</li>
                  <li>Huawei</li>
                  <li>LG</li>
                  <li>Sony</li>
                  <li>Xiaomi  </li>
                </ul>
              </div>
            </div>
          </div>
          <div class="col-12 col-xl-8 col-lg-12 col-xxl-9 custom">
            <div class="row catalog">
              <div class="col-12 col-xxl-4 col-xl-6 col-md-4 mnb">
                <div class="card">
                  <div class="new-product">Новинка</div>
                  <div class="img"><img class="card-img-custom" src="img/catalog_phone.png"></div>
                  <p class="card-title">Смартфон Apple iPhone XS 512GB Space Grey</p>
                  <p class="card-price"><span>5120</span><br>балл(ов)</p>
                </div>
              </div>
              <div class="col-12 col-xxl-4 col-xl-6 col-md-4 mnb">
                <div class="card">
                  <div class="img"><img class="card-img-custom" src="img/catalog_phone.png"></div>
                  <p class="card-title">Смартфон Apple iPhone XS 512GB Space Grey</p>
                  <p class="card-price"><span>5120</span><br>балл(ов) </p>
                </div>
              </div>
              <div class="col-12 col-xxl-4 col-xl-6 col-md-4 mnb">
                <div class="card">
                  <div class="img"><img class="card-img-custom" src="img/catalog_phone.png"></div>
                  <p class="card-title">Смартфон Apple iPhone XS 512GB Space Grey</p>
                  <p class="card-price"><span>5120</span><br>балл(ов)          </p>
                </div>
              </div>
              <div class="col-12 col-xxl-4 col-xl-6 col-md-4 mnb">
                <div class="card">
                  <div class="img"><img class="card-img-custom" src="img/catalog_phone.png"></div>
                  <p class="card-title">Смартфон Apple iPhone XS 512GB Space Grey</p>
                  <p class="card-price"><span>5120</span><br>балл(ов)</p>
                </div>
              </div>
              <div class="col-12 col-xxl-4 col-xl-6 col-md-4 mnb">
                <div class="card">
                  <div class="img"><img class="card-img-custom" src="img/catalog_phone.png"></div>
                  <p class="card-title">Смартфон Apple iPhone XS 512GB Space Grey</p>
                  <p class="card-price"><span>5120</span><br>балл(ов)</p>
                </div>
              </div>
              <div class="col-12 col-xxl-4 col-xl-6 col-md-4 mnb">
                <div class="card">
                  <div class="img"><img class="card-img-custom" src="img/catalog_phone.png"></div>
                  <p class="card-title">Смартфон Apple iPhone XS 512GB Space Grey</p>
                  <p class="card-price"><span>5120</span><br>балл(ов)</p>
                </div>
              </div>
              <div class="col-12 col-xxl-4 col-xl-6 col-md-4 mnb">
                <div class="card">
                  <div class="img"><img class="card-img-custom" src="img/catalog_phone.png"></div>
                  <p class="card-title">Смартфон Apple iPhone XS 512GB Space Grey</p>
                  <p class="card-price"><span>5120</span><br>балл(ов)                        </p>
                </div>
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-12">
                <nav aria-label="Page navigation">
                  <ul class="pagination">
                    <li class="page-item active"><a class="page-link" href="#">1</a></li>
                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                    <li class="page-item"><a class="page-link" href="#">4    </a></li>
                    <li class="page-item ml-3"><a class="page-link arrow arrow-left" href="#" aria-label="Previous"><span aria-hidden="true"><    </span></a></li>
                    <li class="page-item"><a class="page-link arrow arrow-right" href="#" aria-label="Next"><span aria-hidden="true">></span></a></li>
                  </ul>
                </nav>
              </div>
            </div>
          </div>
          <div class="col-12">
            <div class="footer-banner">
              <div class="img-container"><img class="d-none d-md-block" src="img/catalog-footer.png"><img class="d-md-none w100" src="img/catalog-footer-min.png"></div>
              <div class="banner-content"><span class="h3">Не хватает баллов?</span><span><a href="#">Заработать баллы</a></span></div>
            </div>
          </div>
        </div>
      </div>
    </main>
    <footer>
      <div class="container">
        <div class="row">
          <div class="col-12 col-xl-8 pt-4 pb-4">
            <div class="d-md-flex justify-content-between">
              <div class="footer-comp">
                <div class="footer-item"> <a href="#">Каталог призов</a></div>
                <div class="footer-item"> <a href="#">Получить бонусную карту</a></div>
                <div class="footer-item"> <a href="#">Правила бонусной программы</a></div>
              </div>
              <div class="footer-comp">
                <div class="footer-item"> <a href="#">Приобрести запчасти для лифтов</a></div>
                <div class="footer-item"> <a href="#">Заказать поручни для эскалаторов</a></div>
                <div class="footer-item"> <a href="#">Группа компаний Мой ЗиП    </a></div>
              </div>
              <div class="footer-comp item-margin">
                <div class="footer-item"> <a href="#">Обратная связь</a></div>
                <div class="footer-item"> <a href="#">Личный кабинет</a></div>
                <div class="footer-item"> <a href="#">История заказов</a></div>
              </div>
            </div>
          </div>
          <div class="col-12 col-xl-4 psevdo pt-3">
            <div class="colored"></div>
            <div class="container pt-3 pb-3">
              <div class="row">
                <div class="col-md-12 logo-composition"><img src="img/logo_footer.png">
                  <div>© 2006–2018 <span>Мой ЗиП</span> <br>Все права защищены</div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </footer>
    <script src="js/vendor/jquery.min.js"></script>
    <script src="js/vendor/popper.min.js"></script>
    <script src="js/vendor/bootstrap.min.js"></script>
    <script src="js/vendor/owl.carousel.min.js"></script>
    <script src="js/common.js?1573063240693"></script>
  </body>
</html>

app/templates/blocks/catalog.pug
main.catalog
    .container
        .row
            .col-12
                h2.custom Каталог призов
            .col-12 
                .flex-container.bcg-white
                    .filter-group
                        div.price Цена:
                        .group-1
                            .psevdo.holder-1
                                input.input-control(type='number', placeholder='', aria-label='Username', aria-describedby='basic-addon1' value="5000")
                            .psevdo.holder-2
                                input.input-control(type='number', placeholder='', aria-label='Username', aria-describedby='basic-addon1' value="15000")
                        .btn-group-custom
                            button(type='button').btn.btn-filter-transp Сброс
                            button(type='button').btn.btn-filter-red Показать

                    .sort
                        .dropdown
                            span#dropdownMenuButton.dropdown-text(data-toggle='dropdown', aria-haspopup='true', aria-expanded='false')
                                | Цена по возрастанию
                            .dropdown-menu(aria-labelledby='dropdownMenuButton')
                                a.dropdown-item(href='#') По цене

    .container.mt-5.mb-5.psevdo
        
        .row.row-offcanvas.row-offcanvas-right
            .btn-absolute
                button.btn.btn-custom-expand.d-none-custom(type='button', data-toggle='offcanvas')
            .col-12.col-xl-4.col-lg-6.col-xxl-3.sidebar-offcanvas#sidebar
                .list-group
                    .dropdown.list-group-item Смартфоны <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi

                    .dropdown.list-group-item Планшеты <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi         
                    .dropdown.list-group-item Смарт-часы <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi
                    .dropdown.list-group-item Автотехника <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi
                    .dropdown.list-group-item Акустика <span class="dropdown-arrow"></span>
                        ul
                           li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi
                    .dropdown.list-group-item Фотоаппараты <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi 
                    .dropdown.list-group-item Кофемашины и кофеварки <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi 
                    .dropdown.list-group-item Квадрокоптеры <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi  
                    .dropdown.list-group-item Наушники <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi  
                    .dropdown.list-group-item Роботы-пылесосы <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi 
                    .dropdown.list-group-item Аксессуары <span class="dropdown-arrow"></span>
                        ul
                            li.bolden Apple
                            li Samsung
                            li Huawei
                            li LG
                            li Sony
                            li Xiaomi  
                    

            .col-12.col-xl-8.col-lg-12.col-xxl-9.custom
                .row.catalog
                    .col-12.col-xxl-4.col-xl-6.col-md-4.mnb
                        .card
                            div.new-product Новинка
                            .img
                                img(src="img/catalog_phone.png").card-img-custom
                            p.card-title Смартфон Apple iPhone XS 512GB Space Grey
                            p.card-price <span>5120</span><br>балл(ов)
                    .col-12.col-xxl-4.col-xl-6.col-md-4.mnb
                        .card
                            .img
                                img(src="img/catalog_phone.png").card-img-custom
                            p.card-title Смартфон Apple iPhone XS 512GB Space Grey
                            p.card-price <span>5120</span><br>балл(ов) 
                    .col-12.col-xxl-4.col-xl-6.col-md-4.mnb
                        .card
                            .img
                                img(src="img/catalog_phone.png").card-img-custom
                            p.card-title Смартфон Apple iPhone XS 512GB Space Grey
                            p.card-price <span>5120</span><br>балл(ов)          
                    .col-12.col-xxl-4.col-xl-6.col-md-4.mnb
                        .card
                            .img
                                img(src="img/catalog_phone.png").card-img-custom
                            p.card-title Смартфон Apple iPhone XS 512GB Space Grey
                            p.card-price <span>5120</span><br>балл(ов)
                    .col-12.col-xxl-4.col-xl-6.col-md-4.mnb
                        .card
                            .img
                                img(src="img/catalog_phone.png").card-img-custom
                            p.card-title Смартфон Apple iPhone XS 512GB Space Grey
                            p.card-price <span>5120</span><br>балл(ов)
                    .col-12.col-xxl-4.col-xl-6.col-md-4.mnb
                        .card
                            .img
                                img(src="img/catalog_phone.png").card-img-custom
                            p.card-title Смартфон Apple iPhone XS 512GB Space Grey
                            p.card-price <span>5120</span><br>балл(ов)
                    .col-12.col-xxl-4.col-xl-6.col-md-4.mnb
                        .card
                            .img
                                img(src="img/catalog_phone.png").card-img-custom
                            p.card-title Смартфон Apple iPhone XS 512GB Space Grey
                            p.card-price <span>5120</span><br>балл(ов)                        
                .row.mb-3
                    .col-12
                        nav(aria-label='Page navigation')
                            ul.pagination
                                
                                li.page-item.active
                                    a.page-link(href='#') 1
                                li.page-item
                                    a.page-link(href='#') 2
                                li.page-item
                                    a.page-link(href='#') 3
                                li.page-item
                                    a.page-link(href='#') 4    
                                    
                                li.page-item.ml-3
                                    a.page-link.arrow.arrow-left(href='#', aria-label='Previous')
                                        span(aria-hidden='true') <    
                                li.page-item
                                    a.page-link.arrow.arrow-right(href='#', aria-label='Next')
                                        span(aria-hidden='true') >
            .col-12
                .footer-banner
                    .img-container
                        img(src='img/catalog-footer.png').d-none.d-md-block
                        img(src='img/catalog-footer-min.png').d-md-none.w100
                    .banner-content
                        span.h3 Не хватает баллов?
                        span
                            a(href="#") Заработать баллы
                    
